{% extends "catalog/base.html" %}
{% block title %} Catalog {% endblock %}

{% block main %}
    <div class="container-fluid bg-gradient">
        <div class="row align-items-center pb-3">
            <div class="col">
                <H1>Categories</H1>
                <div class="col">
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary">
                            <a class="stretched-link text-white" href="{% url 'catalog_list' %}"> All </a>
                        </button>
                        {% for category in categories %}
                            <button type="button" class="btn btn-primary">
                                <a class="stretched-link text-white"
                                   href="{% url 'catalog_list' pk=category.pk %}"> {{ category.title }} </a>
                            </button>
                        {% endfor %}
                    </div>
                </div>
            </div>

            <div class="col">
                <h3> Filter </h3>
                <div class="col">
                    <form action="{% url 'catalog_list' %}" method="post">
                        {% csrf_token %}
                        {% for ingr in consisties %}
                            <div class="form-check form-switch">
                                <input class="form-check-input" type="checkbox" id="{{ ingr }}" value="{{ ingr.pk }}"
                                       name="ingr">
                                <label class="form-check-label" for="{{ ingr }}"> {{ ingr }}</label>
                            </div>
                        {% endfor %}
                        <input type="submit" value="Apply" class="btn btn-primary">
                        <a class="btn btn-primary" href="{% url 'catalog_list' %}"> Reset </a>


                    </form>
                </div>

            </div>
        </div>
    </div>
    {% if not products %}
        No products Yet ....
    {% else %}
        <div class="container-fluid">
            <div class="row row-cols-1 row-cols-md-4 g-4">
                {% for product in products %}
                    <div class="col">
                        <div class="card">
                            <hr>
                            <img src="{{ product.image.url}}" class="mx-auto" alt="..." style="width: 50%"
                                 id="card_image">
                            <hr>
                            <div class="card-body text-center">
                                <h5 class="card-title"><p><a
                                        href="{% url 'product_detail' pk=product.id %}"> {{ product.name }} </a></p>
                                </h5>
                                <hr>
                                <p class="card-text"> Description: {{ product.description }}</p>
                                <hr>
                                <p>Price: {{ product.price }} BYN ||| {{ product.price_usd }} USD</p>
                                <hr>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    {% endif %}
{% endblock %}
